<?php

/**
 * formato_renta_ext_anho actions.
 *
 * @package    radicacionVirtualCuentas
 * @subpackage formato_renta_ext_anho
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class formato_renta_ext_anhoActions extends sfActions {

    /**
     * Executes list action
     *
     * @param sfRequest $request A request object
     */
    public function executeList(sfWebRequest $request) {

        //Revisar que sea post
        //$this->forward404Unless($request->isMethod('post'));
        //Guardar los parametros del request en el log
        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------*  Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");

        /*
         * Manejo de errores
         */
        try {
            /*
             * Variables obligatorias
             */
            $id_contratista = $request['id_contratista'];
            $id_contrato = $request['id_contrato'];
            $fecha_ini_pago = $request['fecha_ini_pago'];
            $fecha_fin_pago = $request['fecha_fin_pago'];

            //sentencia sql
            $sql = <<<EOD
ALTER SESSION SET NLS_DATE_FORMAT = "YYYY-MM-DD"
EOD;
            //ejecuta y obtiene el resultado del sql
            CN_TABLE::executeSQL($sql);

            //obtener el listado de recaudos
            $sql = <<<EOD
select
/*
fpag.id_formato_pago,
fpag.id_anhos,
fpag.id_contratista,
fpag.id_contrato,
fpag.valor_renta_excenta_25,
cont.num_contrato
*/
nvl(sum(fpag.valor_renta_excenta_25),0) as valor

from rvc_formato_pago fpag

left join rvc_contrato cont
on cont.id_contrato = fpag.id_contrato

where
fpag.estado = 1
and fpag.id_contratista = $id_contratista
/*and cont.num_contrato in ( select num_contrato from  rvc_contrato where id_contrato in ($id_contrato) )*/
and fpag.id_anhos = EXTRACT(YEAR FROM to_date('$fecha_ini_pago','YYYY-MM-DD'))
and fpag.fecha_fin_pago < to_date('$fecha_ini_pago','YYYY-MM-DD') 
EOD;
            //ejecuta y obtiene el resultado del sql
            $resultado = CN_TABLE::executeSQL($sql);


            $this->totalRows = $resultado;
            $this->startRow = 0;
            $this->endRow = 0 + count($resultado);
            $this->list_data = $resultado;
            $this->logMessage("[formato_renta_ext_anho] Consulta exitosa.");
        } catch (Exception $e) {

            $this->status = 1;
            $this->totalRows = 0;
            $this->startRow = 0;
            $this->endRow = 0;
            $this->list_data = array();
            $this->logMessage("ERROR!!!");
            $this->logMessage($e->getMessage());
        }
    }

}
